Subject: Re: I fail to "make install" on alphard (SUN)

From: Zheng Gengbing <[email-masked]>
Date: Wed, 26 Jun 1996 11:13:42 +0800 (EAT)

On Tue, 25 Jun 1996, Xiaoming Li wrote:

> 
> I got the following when I tried to build the 1.58 on one
> of the SUNs here. I wonder which version is the most stable
> one, 1.57 ? 
> 
> 
> ...
> gcc -g -o hpfsc hpfsc.o  error.o        util.o intr_call.o  checksymb.o 
> expr.o exec_stmt.o spec_stmt.o  multi.o writemod.o readmod.o hpfsmtc.o 
> ym.o  align.o distribute.o type.o checktype.o ymio.o  link.o -L../basicop 
> -lbasic 
> if [ ! -d /tmp_mnt/home/R4D/pcrc/Software/Working/HPFfe-1.58/bin ] ; then 
> mkdir /tmp_mnt/home/R4D/pcrc/Software/Working/HPFfe-1.58/bin ; fi
> cp hpfsc   /tmp_mnt/home/R4D/pcrc/Software/Working/HPFfe-1.58/bin
> if [ ! -d /tmp_mnt/home/R4D/pcrc/Software/Working/HPFfe-1.58/lib ] ; then 
> mkdir /tmp_mnt/home/R4D/pcrc/Software/Working/HPFfe-1.58/lib ; fi
> cp ./libhpf.sl  /tmp_mnt/home/R4D/pcrc/Software/Working/HPFfe-1.58/lib
> cp: ./libhpf.sl: No such file or directory
> *** Error code 1
> make: Fatal error: Command failed for target `install'
> Current working directory 
> /tmp_mnt/home/R4D/pcrc/Software/Working/HPFfe-1.58/src/hpfsc
> *** Error code 1
> make: Fatal error: Command failed for target `install'
> Current working directory 
> /tmp_mnt/home/R4D/pcrc/Software/Working/HPFfe-1.58/src
> *** Error code 1
> make: Fatal error: Command failed for target `install'
> alphard:/home/R4D/pcrc/Software/Working/HPFfe-1.58% 
> 
>

	From the information above , I think this is a bug of Makefile.in .
because after hpfsc is compiled , no libhpf.sl is making .

	So,in the Makefile of hpfsc , we must modify like this to make sure
the library file libhpf.sl be made :

install: fix $(PROGRAM) $(INTR_LIB)

instead of :

install: fix $(PROGRAM)

in previous versions.

Gengbin